<template>
  <div>
    <div v-if="extended_user != null">{{extended_user}}</div>
    <div v-else-if="$store.state.user != null">{{$store.state.user}}</div>
  </div>
</template>

<script>
import axios from "axios";
import { setAuthorizationToken } from "../utils/authUtils";

const extended_user_url = "http://127.0.0.1:8000/users/extended_users/me/";

export default {
  name: "UserInfo",
  data: function() {
    return {
      user: null,
      extended_user: null,
    };
  },
  mounted: function() {
    setAuthorizationToken(localStorage.getItem("jwtAccessToken"));
    axios.get(extended_user_url).then(res => {
      console.log("extended_user response: ", res);
      this.extended_user = res.data;
    })
    .catch(error => {
      console.log("Error while trying get user data: ", error);
    });
  }
};
</script>

<style>
</style>